const { validate_assigned_plan_floor } = require('./index.js');
const ValidationError = require('./validation_error.js');

const fs = require('fs');

if (process.argv.length < 3) {
	console.error('too few parameters');
	return process.exit(-1);
}

const plan = JSON.parse(fs.readFileSync(process.argv[2]));

try {
	const hrstart = process.hrtime()
	validate_assigned_plan_floor(plan);
	console.log('validated plan')
	const hrend = process.hrtime(hrstart);

	console.info('Execution time (hr): %ds %dms', hrend[0], hrend[1] / 1000000)
} catch (e) {
	if (e instanceof ValidationError) {
		console.log('caught ValidationError');
		console.log(e.errors);
	}
	else {
		console.log('no validation error');
		console.log(e);
	}
}