function setup() {
    const output_plan_schema = require('./../defs/mixedplanner/output_plan.json');
    const error_plan_schema = require('./../defs/common/error_plan.json');

    const additional_schemas = [];

    additional_schemas.push(require('./../defs/common/basic_types.json'));
    additional_schemas.push(require('./../defs/common/date_time.json'));
    additional_schemas.push(require('./../defs/common/client.json'));
    additional_schemas.push(require('./../defs/common/version.json'));
    additional_schemas.push(require('./../defs/common/gender.json'));
    additional_schemas.push(require('./../defs/common/backend_version.json'));
    additional_schemas.push(require('./../defs/common/language.json'));
    additional_schemas.push(require('./../defs/common/weekday.json'));
    additional_schemas.push(require('./../defs/common/location.json'));
    additional_schemas.push(require('./../defs/mixedplanner/input_worker.json'));
    additional_schemas.push(require('./../defs/mixedplanner/output_worker.json'));
    additional_schemas.push(require('./../defs/mixedplanner/location_site.json'));
    additional_schemas.push(require('./../defs/mixedplanner/meta.json'));
    additional_schemas.push(require('./../defs/mixedplanner/parameters.json'));
    additional_schemas.push(require('./../defs/mixedplanner/input_plan.json'));
    additional_schemas.push(require('./../defs/mixedplanner/input_task.json'));
    additional_schemas.push(require('./../defs/mixedplanner/output_task_assigned.json'));
    additional_schemas.push(require('./../defs/mixedplanner/output_task_unassigned.json'));
    additional_schemas.push(require('./../defs/mixedplanner/statistics.json'));
    additional_schemas.push(require('./../defs/mixedplanner/info.json'));
    additional_schemas.push(require('./../defs/mixedplanner/construction_site.json'));
    additional_schemas.push(require('./../defs/mixedplanner/obstacle.json'));
    additional_schemas.push(require('./../defs/mixedplanner/vehicletype.json'));
    additional_schemas.push(require('./../defs/mixedplanner/history_task.json'));
    additional_schemas.push(require('./../defs/mixedplanner/history_assignment.json'));
    additional_schemas.push(require('./../defs/mixedplanner/history_worker.json'));
    additional_schemas.push(require('./../defs/mixedplanner/history.json'));
    additional_schemas.push(require('./../defs/mixedplanner/traveloverride.json'));
    additional_schemas.push(require('./../defs/mixedplanner/traveloverride_dense.json'));
    additional_schemas.push(require('./../defs/mixedplanner/traveloverride_sparse.json'));

    return {
        main_schema: {
            $schema: "http://json-schema.org/draft-07/schema#",
            $id: "http://api.adiutabyte.de/schema/vDEV_VERSION/job_output.json",
            oneOf: [
                output_plan_schema,
                error_plan_schema
            ]
        },
        additional_schemas: [...additional_schemas]
    };
}

module.exports = setup();
